Microsoft Diagnostics and Recovery Toolset 6.5

Microsoft Diagnostics and Recovery Toolset 6.5 (Microsoft DaRT) lets you diagnose and repair a system that has problems starting or has other issues. Microsoft DaRT includes the following tools:

  • Crash Analyzer. Lets you examine a Windows crash dump file for the problem that caused the system to fail. For more information about how to analyze a system crash, see Crash Analyzer for MSDaRT 6.5.

  • ERD Commander. Provides utilities and wizards that help perform system diagnosis and repair procedures, such as recovering data, disabling problematic drivers, and removing hotfixes. For more information about diagnosing and repairing systems, see ERD Commander in MSDaRT 6.5.


MSDaRT 6.5 Legal Page

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted in examples herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2009 Microsoft Corporation. All rights reserved.

Microsoft, Windows, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

All other trademarks are property of their respective owners.


Crash Analyzer for MSDaRT 6.5

The Crash Analyzer enables you to debug a crash dump on a Windows-based system and to diagnose related system errors. The Crash Analyzer uses the Microsoft Debugging Tools for Windows to examine a crash dump for the driver that caused the system to fail.

Important

The Crash Analyzer attempts to locate the Debugging Tools for Windows on your system. If the directory path dialog box is empty, you must enter the location or browse to the location of the Debugging Tools for Windows (you can download the files from Microsoft). You must also provide a path to where the symbol files are located.

The Crash Analyzer provides a diagnostic result that you can use to decide a course of action. You can use the Services and Drivers utility in MSDaRT to disable the driver that caused the crash.

Note

If you include the Microsoft Debugging Tools for Windows and the symbol files on the boot CD for MSDaRT, you can ensure that they will be available when they are required.

How to run open and run the Crash Analyzer

To run the Crash Analyzer

  1. On the MSDaRT Tools menu, click Crash Analyzer.

  2. To analyze a crash you must have:

    1. Microsoft Debugging Tools for Windows.

    2. Symbol Files. For more information about symbol files, see Ensure Access to Symbol Files.

    3. You must select a crash dump file to analyze.

  3. The Crash Analyzer scans the crash dump file and reports a probable cause of the crash. You can view more information about the crash, such as the specific crash message and description, the drivers loaded at the time of the crash, and the full output of the analysis.

  4. You can decide upon an appropriate course of action, which may include disabling or updating the device driver that caused the crash using the Services and Drivers menu on the Computer Management utility in MSDaRT.

Ensure Access to Symbol Files

Symbol files are automatically downloaded during the analysis process. If the system does not have an Internet connection or the network requires the system to access an HTTP proxy server, the symbol files cannot be downloaded.

The following is a list of options that are available for ensuring access to symbol files:

  • Copy the dump file to another system. If the symbols cannot be downloaded because of a lack of an Internet connection, copy the crash dump file to a system that does have an Internet connection and run the Crash Analyzer Wizard on that system.

  • Access the symbol files from another system. If the symbols cannot be downloaded because of a lack of an Internet connection, you can download the symbols from a system that does have an Internet connection and then copy them to the system that does not have an Internet connection, or you can map a network drive to a location where the symbols are available on the local network. If you run the Crash Analyzer in a Windows Recovery Environment (Windows RE), you can include the symbol files on the boot CD for MSDaRT. For more information about creating a boot CD, see How to Create a Boot CD for MSDaRT 6.5.

  • Access symbol files through an HTTP proxy server. If the symbols cannot be downloaded because an HTTP proxy server must be accessed, use the following steps to access an HTTP proxy server. In MSDaRT 6.5, the Crash Analyzer Wizard has a new setting available on the Specify Symbol Files Location dialog page, marked with the label Proxy server (optional, using the format "server:port"). You can use this text box to specify a proxy server. Enter the proxy address in the form <hostname>:<port>, where the <hostname> is a DNS name or IP address, and the <port> is a TCP port number, usually 80. There are two modes in which the Crash Analyzer can be run. Here is how you use the proxy setting in each of these modes:

    • Online mode: In this mode, if the proxy server field is left blank, the wizard uses the proxy settings from Internet Options in Control Panel. If you enter a proxy address in the text box which is provided, that address will be used, and it will override the setting in the Internet Options.

    • Windows Recovery Environment (Windows RE): When the Crash Analyzer is run from the ERD Commander, there is no default proxy address. If the computer is directly connected to the Internet, a proxy address is not required, so you can leave this field blank in the wizard setting. If the computer is not directly connected to the Internet, and it is in a network environment with a proxy server, you must set the proxy field in the wizard to access the symbol store. The proxy address can be obtained from the network administrator. Setting the proxy server is essential only when the public symbol store is connected to the Internet. If the symbols are already on the ERD disk, or if they are accessible locally, setting the proxy server is not required.

See Also

  • Microsoft Diagnostics and Recovery Toolset 6.5


ERD Commander in MSDaRT 6.5

Microsoft Diagnostics and Recovery Toolset (MSDaRT) 6.5 helps diagnose and repair a system that has trouble starting or has other issues. When you start the system using the Emergency Repair Disk (ERD), also referred to as Boot CD for MSDaRT, a System Recovery Options dialog box appears. A graphical environment and a command-line console are available. The command-line console can be opened by clicking the Command Prompt option in the System Recovery Options menu. You can access any Windows® 7 or Windows Server® 2008 R2 file system, which includes FAT, FAT32, and NTFS. Microsoft Diagnostics and Recovery Toolset is available on the System Recovery Options menu. Clicking MSDaRT opens a detailed MSDaRT Tools menu which presents various recovery tools.

The following table lists some of the problems that can be solved using the utilities and wizards that are provided in the Microsoft Diagnostics and Recovery Toolset.

Task Solution

Edit the Registry

The ERD Registry Editor utility on the MSDaRT Tools menu provides information about the registry that can help you repair a system.

Regain access to a system

The Locksmith wizard can be used to list the local user accounts and change passwords.

Diagnose a system failure

The Crash Analyzer can be used to diagnose the cause of a system crash and identify the driver that caused the failure.

Salvage and repair partitions or volumes

The Disk Commander can be used to salvage or repair partitions, or volumes.

Recover deleted files

The File Restore utility can be used to find and restore deleted files from any supported Windows-based file system.

Erase disks or volumes

The Disk Wipe utility can be used to erase disks or volumes.

Search for particular files

The Search utility allows you to restrict the scope of your search by specifying part of the name, search location, estimated size of the file, or the time when the file was modified.

Browse drives

The Explorer utility allows you to browse folders and files that are stored on various drives.

Perform administrative tasks to manage the computer

The Computer Management utility provides recovery tools to help you:

  • Disable problematic drivers or services.

  • View event logs.

  • Partition and format hard disk drives.

  • Get information about Autoruns.

  • Get information about the computer.

Configure TCP/IP

The TCP/IP Config utility helps you to display and set a TCP/IP configuration.

Uninstall Windows hotfixes and service packs

Hotfix Uninstall can be used to remove Windows hotfixes or service packs from a system that cannot be started.

Check and repair system files

The SFC Scan utility helps you check system files and repair any that are corrupt or missing.

Use an anti-malware tool

The Standalone System Sweeper utility helps detect malware or other unwanted software, and alerts you to potential risks.

The following Help topics provide information about creating a boot CD for MSDaRT and the system requirements for running MSDaRT:

  • MSDaRT hardware and software requirements are listed in System Requirements for the ERD Commander in MSDaRT 6.5.

  • To create a boot CD for MSDaRT (also known as Emergency Repair Disk (ERD)), see How to Create a Boot CD for MSDaRT 6.5.


System Requirements for the ERD Commander in MSDaRT 6.5

ERD Commander in MSDaRT 6.5 requires that the target system use one of the following operating systems:

  • Windows® 7

  • Windows Server® 2008 R2

It has the following minimal hardware requirements:

  • 1GHz 32-bit (x86) or 64-bit (x64) processor

  • 1GB of system memory

  • A CD drive

  • BIOS support for starting the computer from a CD drive

Note

No cross platform ERD disk creation is supported. The following table specifies what boot CD should be created and used.

Platform and DaRT version | ERD disk specification
x64 DaRT 6.5 | Create and use an x64 ERD boot CD.
x86 DaRT 6.5 | Create and use an x86 ERD boot CD.

See Also

  • ERD Commander in MSDaRT 6.5


How to Create a Boot CD for MSDaRT 6.5

The ERD Commander Boot Media Wizard is used in Windows to create a bootable International Organization for Standardization (ISO) image. An ISO image is a file that represents the raw contents of a CD, which can be written to a recordable CD. If your system includes a CD-RW drive, the wizard offers to burn the ISO image to a blank CD. If your system does not contain a drive that is supported by the wizard, you can burn the ISO image onto a CD using most programs that can burn a CD.

To create a bootable CD from the ISO image, you need:

  • A CD-RW drive.

  • A recordable CD (in a format supported by your recordable drive).

  • CD burning software that supports your recordable drive and supports burning an ISO image directly to CD.

    Note

    Test the CD that you create on all systems that you intend to support because some systems are not capable of starting from all types of recordable CDs.

When you run the ERD Commander Boot Media Wizard, be prepared to provide the following information:

  • Tool Selection: You may select the tools to include on the ERD Commander Boot CD in this step. See How To Select the Tools to Include on the MSDaRT 6.5 Boot CD

  • Debugging Tools for Windows: You are asked to provide the location of the Debugging Tools for Windows. For more information, see How to Add the Debugging Tools for Windows to the MSDaRT 6.5 Boot CD.

  • Definitions for Standalone System Sweeper: In the Standalone System Sweeper Definition Download dialog box, use the option buttons to choose whether to download the latest definitions at the time of the creation of the ERD disk or elect to download the definitions later. For more information see How to Add Definitions for Standalone System Sweeper to the MSDaRT 6.5 Boot CD.

  • Drivers: You are asked if you want to add drivers to the ISO image. For more information, see How to Add Additional Drivers to the MSDaRT 6.5 Boot CD.

  • Additional Files: You can add files to the ISO image that you might need to help diagnose problems. For more information, see How to Add Files to the MSDaRT 6.5 Boot CD.

  • ISO Image Location: You are asked to specify where the ISO image should be located. For more information, see How to Select an Image Location for the MSDaRT 6.5 Boot CD.

  • CD Drive: You are asked to specify the CD drive that should be used to burn the CD. For more information, see How to Burn the MSDaRT 6.5 Boot CD.

Note

The ISO image can vary in size depending on the tools that you select when you run the ERD Commander Boot Media Wizard.

To start the ERD Commander Boot Media Wizard in Windows

  • Click Start, point to Microsoft Diagnostics and Recovery Toolset, and then click ERD Commander Boot Media Wizard. Run the Boot Media wizard with administrator privileges.

You can create a bootable CD that can only be used for a certain number of days after it is generated. To do so, you must run the ERD Commander Boot Media Wizard from a Command Prompt window and specify the number of days.

To create a bootable CD that has a time limit

  1. Open a Command Prompt window.

  2. Change the directory to the location of the Erdc.exe program.

  3. Using the following syntax, run the ERD Commander Boot Media Wizard. NumberOfDays is a positive integer that represents the number of days that the bootable CD will be usable.

    ERDC /e NumberOfDays

In this section

How to Add the Debugging Tools for Windows to the MSDaRT 6.5 Boot CD

How to Add Additional Drivers to the MSDaRT 6.5 Boot CD

How to Add Definitions for Standalone System Sweeper to the MSDaRT 6.5 Boot CD

How to Add Files to the MSDaRT 6.5 Boot CD

How to Select an Image Location for the MSDaRT 6.5 Boot CD

How to Burn the MSDaRT 6.5 Boot CD

See Also

  • ERD Commander in MSDaRT 6.5


How To Select the Tools to Include on the MSDaRT 6.5 Boot CD

The ERD Commander Boot Media Wizard presents a Tool Selection dialog. You can select or remove tools from the list of tools to be included on the MSDaRT 6.5 Boot CD by clicking the Add or Remove buttons.

See Also

  • How to Create a Boot CD for MSDaRT 6.5


How to Add the Debugging Tools for Windows to the MSDaRT 6.5 Boot CD

If you include the Crash Analyzer Wizard component in the International Organization for Standardization (ISO) image, you are asked to specify the location of the Debugging Tools for Windows. If you do not have a copy of the tools, you can download them from Microsoft. A link to the download page is provided in the wizard. You can either specify the location of the debugging tools on the system where you are running the MSDaRT Boot Media Wizard, or you can defer to use the tools that are located on the target system. If you choose to use a copy on another system, you must ensure that the tools are installed on each system on which you are diagnosing a crash.

Note

If you include the Crash Analyzer Wizard in the ISO image, we recommend that you also include the Debugging Tools for Windows.

To add the Debugging Tools for Windows

  1. (Optional) Click the hyperlink to download the Debugging Tools for Windows.

  2. In the Crash Analyzer Support dialog box of the MSDaRT Boot Media Wizard, select one of the following options:

    • Use the Debugging Tools for Windows installation located at. If you select this option, you can browse to the location of the tools.

    • Locate the Debugging Tools for Windows installation located on the target computer.

  3. Click Next.

    Important

    The Crash Analyzer Wizard will not work if the Debugging Tools for Windows are not available.

See Also


How to Add Definitions for Standalone System Sweeper to the MSDaRT 6.5 Boot CD

Definitions are a repository of known malware and other potentially unwanted software. Because malware is being continually developed, Standalone System Sweeper relies on current definitions to determine if software that is trying to install, run, or change settings on a computer is potentially unwanted or malicious software.

To include the latest definitions in the ERD Commander Boot CD (recommended), click Yes, download the latest definitions. The definition update will start automatically. You must be connected to the Internet to complete this process.

To skip the definition update, click No, manually download definitions later. No definitions will be included in the ERD Commander Boot CD.

If you choose not to include the latest definitions on the ERD Commander Boot CD, or if the definitions burned on the ERD Commander Boot CD are no longer current by the time you are ready to use Standalone System Sweeper, obtain the latest definitions before you begin to scan by following the instructions. You will not be able to scan if there are no definitions.

See Also


How to Add Additional Drivers to the MSDaRT 6.5 Boot CD

You should include additional drivers on the boot CD for MSDaRT 6.5 that you may need when repairing a computer. These may typically include storage or network controllers that are not included on the Windows DVD.

To add a storage or network controller driver to the boot CD

  1. In the Additional Drivers dialog box of the ERD Commander Boot Media Wizard, click Add Device.

  2. Browse to the file to be added for the driver, and then click Open.

    Note

    The driver file is provided by the manufacturer of the storage or network controller.

  3. Repeat Steps 1 and 2 for each of the drivers that you want to include.

  4. Click Next.
Important

Wireless connectivity (Bluetooth or 802.11a/b/g/n) is not supported in MSDaRT.

See Also


How to Add Files to the MSDaRT 6.5 Boot CD

Complete the following procedure in the ERD Commander Boot Media Wizard to add files to the startup CD so that you can use them to diagnose system problems.

To add files to the CD

  1. In the Additional Files dialog box of the MSDaRT Boot Media Wizard, click Show Files. This opens an Explorer window that displays the directory that holds the shared files.

  2. Create a subdirectory in the directory listed in the dialog box. Copy the files you want to the new subdirectory.

  3. Click Next.

See Also


How to Select an Image Location for the MSDaRT 6.5 Boot CD

Complete the following procedure in the ERD Commander Boot Media Wizard to specify the location where the International Organization for Standardization (ISO) image is created.

To specify the location of the ISO image

  1. In the Create Startup Image dialog box of the ERD Commander Boot Media Wizard, click Browse.

  2. Browse to the location in the Save As window, and then click Save.

  3. Click Next.

The ISO image will vary in size depending on the tools that you select and the files that you add in the wizard.

The wizard requires the ISO image to have an .iso file name extension because most programs that burn a CD require that extension. If you do not specify a different location, the ISO image is created on your desktop with the name ERD65.ISO.

See Also


How to Burn the MSDaRT 6.5 Boot CD

If the ERD Commander Boot Media Wizard detects a compatible CD-RW drive on your system, it will offer to burn the International Organization for Standardization (ISO) image to a disc for you. If the wizard does not recognize your drive, you will must use another program to burn the CD, such as the program that came with your drive. You can use a CD duplicator, a duplicating service, or CD-burning software to make any additional copies.

To burn the CD

  1. In the Burn to a recordable CD dialog box of the ERD Commander Boot Media Wizard, select Burn the image to the following recordable CD drive.

  2. Select the CD drive.

    Note

    If a drive is not recognized and you install a new drive, you can click Refresh Drive List to force the wizard to refresh the list of available drives.

  3. Click Next.

See Also